import 'package:get/get.dart';

import '../../../Data/Repository/Orders/Orderrepository.dart';
import '../../../Model/Response/Orders/Getorderresponse.dart';

class CompletedOrderController extends GetxController{

  RxBool shimmer = true.obs;

  List <OrderDetails> getCompletedOrderList = [];

  OrdersRepository ordersRepository = OrdersRepository();

  getCompletedOrder()async{
    GetOrders? result = await ordersRepository.getCompletedOrders();
    getCompletedOrderList = result?.details??[];
    shimmer.value = false;
    update();
  }

  @override
  void onInit() {
    // TODO: implement onInit
    super.onInit();
  }
}